<?php
namespace finc\Controller;

use Psr\Container\ContainerInterface;
use Zend\ServiceManager\ServiceLocatorInterface;
use Zend\Session\Container;

class DocumentDeliveryServiceControllerFactory
{
    /**
     * @param ContainerInterface|ServiceLocatorInterface $container
     *
     * @return DocumentDeliveryServiceController
     */
    public function __invoke(ContainerInterface $container)
    {
        $session = new Container(
            'DDS',
            $container->get('Zend\Session\SessionManager')
        );
        return new DocumentDeliveryServiceController(
            $container,
            $container->get('VuFind\Config\PluginManager')->get('config'),
            $container->get('VuFind\Config\PluginManager')->get('DDS'),
            $session
        );
    }
}